=== debian/changelog ===
earlyoom (0.12-2) unstable; urgency=medium

  * Apply "wrap-and-sort -abst".
  * d/control: Fix typo in Vcs-Git.

 -- Boyuan Yang <073plan@gmail.com>  Tue, 21 Nov 2017 09:30:44 +0800

earlyoom (0.12-1) unstable; urgency=medium

  * Initial release (Closes: #813607)

 -- Yangfl <mmyangfl@gmail.com>  Thu, 28 Sep 2017 10:43:10 +0800
