=== debian/control ===
Source: earlyoom
Section: admin
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Uploaders:
 Boyuan Yang <073plan@gmail.com>,
Build-Depends:
 debhelper (>= 10),
Standards-Version: 4.1.1
Homepage: https://github.com/rfjakob/earlyoom
Vcs-Git: https://anonscm.debian.org/git/collab-maint/earlyoom.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/earlyoom.git

Package: earlyoom
Architecture: any
Depends:
 lsb-base (>= 3.2-14),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Early OOM Daemon
 Earlyoom is an userspace OOM-killer which can avoid the system to get into
 unresponsive state caused by swapping, which is most likely to occur when a
 large swap is present and memory is tight. It checks the amount of available
 memory and swap periodically, and when both are below a preconfigured value,
 it kills the largest process.
