=== debian/changelog ===
earlyoom (1.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3.
  * Bump debhelper compat to v11.
  * Remove all patches, merged upstream.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 01 Feb 2018 11:43:07 +0800

earlyoom (0.12-3) unstable; urgency=medium

  * Mark earlyoom as linux-any. Closes: #881782

 -- Boyuan Yang <073plan@gmail.com>  Tue, 21 Nov 2017 14:02:59 +0800
