=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders:
  Boyuan Yang <073plan@gmail.com>,
 Build-Depends:
- debhelper (>= 10),
-Standards-Version: 4.1.1
+ debhelper (>= 11),
+Standards-Version: 4.1.3
 Homepage: https://github.com/rfjakob/earlyoom
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/earlyoom.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/earlyoom.git
 
 Package: earlyoom
-Architecture: any
+Architecture: linux-any
 Depends:
  lsb-base (>= 3.2-14),
  ${misc:Depends},
