=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/pkg-info.mk


%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- VERSION=v$(DEB_VERSION_UPSTREAM)

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr SYSTEMDDIR=/lib/systemd
	+make install-initscript DESTDIR=debian/earlyoom PREFIX=/usr SYSTEMDDIR=/lib/systemd/system

override_dh_installinit:
	dh_installinit --onlyscripts
