## earlyoom 1.1

=== Makefile ===
--- 
+++ 
@@ -1,29 +1,29 @@
 VERSION ?= $(shell git describe --tags --dirty 2> /dev/null)
-CFLAGS += -Wall -Wextra -DVERSION=\"$(VERSION)\" -g
+CFLAGS += -Wall -Wextra -DVERSION=\"$(VERSION)\" -g -fstack-protector-all -std=gnu99
 
 DESTDIR ?=
 PREFIX ?= /usr/local
 BINDIR ?= /bin
 SYSCONFDIR ?= /etc
-SYSTEMDDIR ?= $(SYSCONFDIR)/systemd
+SYSTEMDUNITDIR ?= $(SYSCONFDIR)/systemd/system
 
 ifeq ($(VERSION),)
 VERSION := "(unknown version)"
 endif
 
-.PHONY: all clean install uninstall format
+.PHONY: all clean install uninstall format test
 
 all: earlyoom
 
-earlyoom: $(wildcard *.c *.h)
+earlyoom: $(wildcard *.c *.h) Makefile
 	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $(wildcard *.c)
 
 clean:
 	rm -f earlyoom earlyoom.service earlyoom.initscript earlyoom.1.gz
 
 install: earlyoom.service install-bin install-default install-man
-	install -d $(DESTDIR)$(SYSTEMDDIR)/system/
-	install -m 644 $< $(DESTDIR)$(SYSTEMDDIR)/system/
+	install -d $(DESTDIR)$(SYSTEMDUNITDIR)
+	install -m 644 $< $(DESTDIR)$(SYSTEMDUNITDIR)
 	-systemctl enable earlyoom
 
 install-initscript: earlyoom.initscript install-bin install-default
@@ -51,7 +51,7 @@
 
 uninstall: uninstall-bin uninstall-man
 	systemctl disable earlyoom
-	rm -f $(DESTDIR)$(SYSTEMDDIR)/system/earlyoom.service
+	rm -f $(DESTDIR)$(SYSTEMDUNITDIR)/earlyoom.service
 
 uninstall-man:
 	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/earlyoom.1.gz
@@ -65,3 +65,6 @@
 
 format:
 	clang-format -i *.h *.c
+
+test: earlyoom
+	cd tests ; go test -v
