=== debian/changelog ===
earlyoom (1.1-2) unstable; urgency=medium

  * debian/rules: Disable tests.
  * debian/control: Remove build-dependency to golang.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 13 Jul 2018 16:40:17 +0800

earlyoom (1.1-1) unstable; urgency=medium

  [ Yangfl ]
  * New upstream release
  * Bump Standards-Version to 4.1.5
  * debian/rules: Rename SYSTEMDDIR variable with SYSTEMDUNITDIR to fit
    upstream changes.

  [ Boyuan Yang ]
  * debian/patches: Drop all backported patches.
  * debian/control: Add build-dependency golang-any to enable tests.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 13 Jul 2018 10:00:01 +0800

earlyoom (1.0-2) unstable; urgency=medium

  * Backport upstream trunk code till 2018-03-05.
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed).
  * d/control: Migrate to Salsa platform for Vcs fields.
  * d/rules: Use "dh_missing --fail-missing".

 -- Boyuan Yang <073plan@gmail.com>  Sun, 06 May 2018 20:57:51 +0800
