=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  Boyuan Yang <073plan@gmail.com>,
 Build-Depends:
  debhelper (>= 11),
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: https://github.com/rfjakob/earlyoom
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/earlyoom.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/earlyoom.git
+Vcs-Git: https://salsa.debian.org/yangfl-guest/earlyoom.git
+Vcs-Browser: https://salsa.debian.org/yangfl-guest/earlyoom
 
 Package: earlyoom
 Architecture: linux-any
