## earlyoom 1.2

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 BINDIR ?= /bin
 SYSCONFDIR ?= /etc
 SYSTEMDUNITDIR ?= $(SYSCONFDIR)/systemd/system
+PANDOC := $(shell command -v pandoc 2> /dev/null)
 
 ifeq ($(VERSION),)
 VERSION := "(unknown version)"
@@ -13,13 +14,20 @@
 
 .PHONY: all clean install uninstall format test
 
-all: earlyoom
+all: earlyoom earlyoom.1
 
 earlyoom: $(wildcard *.c *.h) Makefile
 	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $(wildcard *.c)
 
+earlyoom.1: MANPAGE.md
+ifdef PANDOC
+	pandoc MANPAGE.md -s -t man > earlyoom.1
+else
+	@echo "pandoc is not installed, skipping earlyoom.1 manpage generation"
+endif
+
 clean:
-	rm -f earlyoom earlyoom.service earlyoom.initscript earlyoom.1.gz
+	rm -f earlyoom earlyoom.service earlyoom.initscript earlyoom.1 earlyoom.1.gz
 
 install: earlyoom.service install-bin install-default install-man
 	install -d $(DESTDIR)$(SYSTEMDUNITDIR)
@@ -43,11 +51,15 @@
 	install -m 755 $< $(DESTDIR)$(PREFIX)$(BINDIR)/
 
 install-man: earlyoom.1.gz
+ifdef PANDOC
 	install -d $(DESTDIR)$(PREFIX)/share/man/man1/
 	install -m 644 $< $(DESTDIR)$(PREFIX)/share/man/man1/
+endif
 
 earlyoom.1.gz: earlyoom.1
-	gzip -k $<
+ifdef PANDOC
+	gzip -f -k $<
+endif
 
 uninstall: uninstall-bin uninstall-man
 	systemctl disable earlyoom
@@ -63,7 +75,8 @@
 uninstall-bin:
 	rm -f $(DESTDIR)$(PREFIX)$(BINDIR)/earlyoom
 
-format:
+# Depends on earlyoom compilation to make sure the syntax is ok.
+format: earlyoom
 	clang-format -i *.h *.c
 
 test: earlyoom
