=== debian/changelog ===
earlyoom (1.2-1) unstable; urgency=medium

  * New upstream release 1.2.
  * debian/control: Add new build-dependency pandoc.

 -- Boyuan Yang <byang@debian.org>  Sat, 03 Nov 2018 16:24:23 -0400

earlyoom (1.1-3) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version to 4.2.1 (no changes needed).
    + Update my uploader email and use the @debian.org one.
  * debian/copyright: Update copyright year.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Oct 2018 15:54:09 -0400
