=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Uploaders:
- Boyuan Yang <073plan@gmail.com>,
+ Boyuan Yang <byang@debian.org>,
 Build-Depends:
  debhelper (>= 11),
-Standards-Version: 4.1.5
+ pandoc,
+Standards-Version: 4.2.1
 Homepage: https://github.com/rfjakob/earlyoom
 Vcs-Git: https://salsa.debian.org/yangfl-guest/earlyoom.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/earlyoom
