=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,15 @@
 	dh_auto_build -- VERSION=v$(DEB_VERSION_UPSTREAM)
 
 override_dh_auto_install:
-	dh_auto_install -- PREFIX=/usr SYSTEMDDIR=/lib/systemd
-	+make install-initscript DESTDIR=debian/earlyoom PREFIX=/usr SYSTEMDDIR=/lib/systemd/system
+	dh_auto_install -- DESTDIR=debian/earlyoom PREFIX=/usr SYSTEMDUNITDIR=/lib/systemd/system
+	+make install-initscript DESTDIR=debian/earlyoom PREFIX=/usr SYSTEMDUNITDIR=/lib/systemd/system
 
 override_dh_installinit:
 	dh_installinit --onlyscripts
+
+override_dh_auto_test:
+	# skipping tests since golang test is problematic
+	true
+
+override_dh_missing:
+	dh_missing --fail-missing
