=== debian/changelog ===
earlyoom (1.3-2) unstable; urgency=medium

  * Backport upstream commit to fix tests
  * Fix golang build dep

 -- Yangfl <mmyangfl@gmail.com>  Tue, 09 Jul 2019 10:06:55 +0800

earlyoom (1.3-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Enable tests
  * Add autopkgtest
  * Bump debhelper compat to 12

  [ Boyuan Yang ]
  * Bump Standards-Version to 4.4.0.

 -- Yangfl <mmyangfl@gmail.com>  Thu, 04 Jul 2019 16:38:35 +0800
