=== debian/control ===
--- 
+++ 
@@ -5,15 +5,18 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
+ golang-any,
  pandoc,
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://github.com/rfjakob/earlyoom
 Vcs-Git: https://salsa.debian.org/yangfl-guest/earlyoom.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/earlyoom
 
 Package: earlyoom
 Architecture: linux-any
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
  lsb-base (>= 3.2-14),
  ${misc:Depends},
