=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/pkg-info.mk


%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- VERSION=v$(DEB_VERSION_UPSTREAM)

override_dh_auto_install:
	dh_auto_install -- DESTDIR=debian/earlyoom PREFIX=/usr SYSTEMDUNITDIR=/lib/systemd/system
	+make install-initscript DESTDIR=debian/earlyoom PREFIX=/usr SYSTEMDUNITDIR=/lib/systemd/system

override_dh_installinit:
	dh_installinit --onlyscripts

override_dh_missing:
	dh_missing --fail-missing
