## earlyoom 1.6

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 VERSION ?= $(shell git describe --tags --dirty 2> /dev/null)
-CFLAGS += -Wall -Wextra -DVERSION=\"$(VERSION)\" -g -fstack-protector-all -std=gnu99
+CFLAGS += -Wall -Wextra -Wformat-security -Wconversion -DVERSION=\"$(VERSION)\" -g -fstack-protector-all -std=gnu99
 
 DESTDIR ?=
 PREFIX ?= /usr/local
@@ -14,10 +14,10 @@
 
 .PHONY: all clean install uninstall format test
 
-all: earlyoom earlyoom.1
+all: earlyoom earlyoom.1 earlyoom.service
 
 earlyoom: $(wildcard *.c *.h) Makefile
-	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $(wildcard *.c)
+	$(CC) $(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -o $@ $(wildcard *.c)
 
 earlyoom.1: MANPAGE.md
 ifdef PANDOC
@@ -78,7 +78,13 @@
 
 # Depends on earlyoom compilation to make sure the syntax is ok.
 format: earlyoom
-	clang-format -i *.h *.c
+	clang-format --style=WebKit -i *.h *.c
+	go fmt .
 
 test: earlyoom
-	cd tests ; go test -v
+	cppcheck -q . || echo "skipping optional cppcheck"
+	go test -v
+
+.PHONY: bench
+bench:
+	go test -run=NONE -bench=.
