=== debian/changelog ===
earlyoom (1.6-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat to 13

 -- Yangfl <mmyangfl@gmail.com>  Mon, 04 May 2020 15:49:11 +0800

earlyoom (1.5-2) unstable; urgency=medium

  * Fix FTBFS on 32-bit architectures (Closes: #956094)

 -- Yangfl <mmyangfl@gmail.com>  Wed, 08 Apr 2020 12:33:10 +0800

earlyoom (1.5-1) unstable; urgency=medium

  * New upstream release
  * Fix wrong path in systemd service (Closes: #953645)

 -- Yangfl <mmyangfl@gmail.com>  Sat, 28 Mar 2020 11:29:20 +0800

earlyoom (1.4-2) unstable; urgency=medium

  * Fix FTBFS by disabling buggy tests

 -- Yangfl <mmyangfl@gmail.com>  Tue, 10 Mar 2020 12:23:15 +0800

earlyoom (1.4-1) unstable; urgency=medium

  * New upstream release
  * Fix FTBFS (Closes: #952210)
  * Bump Standards-Version to 4.5.0
  * Add upstream metadata

 -- Yangfl <mmyangfl@gmail.com>  Tue, 03 Mar 2020 17:05:04 +0800
