## earlyoom 1.6.2

=== Makefile ===
--- 
+++ 
@@ -59,7 +59,7 @@
 
 earlyoom.1.gz: earlyoom.1
 ifdef PANDOC
-	gzip -f -k $<
+	gzip -f -k -n $<
 endif
 
 uninstall: uninstall-bin uninstall-man
