=== contrib/Makefile ===
.PHONY: format
format:
	autopep8 -i *.py
	clang-format -i *.c

zombie:
	gcc -Wall -Wextra -o zombie zombie.c
