=== debian/changelog ===
earlyoom (1.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Yangfl <mmyangfl@gmail.com>  Mon, 04 Jan 2021 21:44:06 +0800
