=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  golang-any,
  pandoc,
-Standards-Version: 4.4.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://github.com/rfjakob/earlyoom
 Vcs-Git: https://salsa.debian.org/yangfl-guest/earlyoom.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/earlyoom
