## earlyoom 1.7

=== debian/changelog ===
earlyoom (1.7-2) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.6.2.
  * debian/control: Replace obsolete dependency on lsb-base with
    "sysvinit-utils (>= 3.05-4~) | lsb-base" (lintian).

  [ Helmut Grohne ]
  * Defer placement of systemd units to systemd.pc. (Closes: #1054016)

 -- Boyuan Yang <byang@debian.org>  Thu, 15 Feb 2024 22:53:26 -0500

earlyoom (1.7-1) unstable; urgency=medium

  * New upstream release
    * Fix FTBFS with go.mod (Closes: #997659)

 -- Yangfl <mmyangfl@gmail.com>  Wed, 09 Mar 2022 17:01:41 +0800
