=== debian/control ===
--- 
+++ 
@@ -8,8 +8,10 @@
  debhelper-compat (= 13),
  golang-any,
  pandoc,
+ pkgconf,
+ systemd-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/rfjakob/earlyoom
 Vcs-Git: https://salsa.debian.org/yangfl-guest/earlyoom.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/earlyoom
@@ -19,7 +21,7 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- lsb-base (>= 3.2-14),
+ sysvinit-utils (>= 3.05-4~) | lsb-base,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Early OOM Daemon
