## earlyoom 1.8.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,10 @@
-VERSION ?= $(shell git describe --tags --dirty 2> /dev/null)
+# Setting GIT_DIR keeps git from ascending to parent directories
+# and gives a nicer error message
+VERSION ?= $(shell GIT_DIR=$(shell pwd)/.git git describe --tags --dirty)
+ifeq ($(VERSION),)
+VERSION := "(unknown version)"
+$(warning Could not get version from git, setting to $(VERSION))
+endif
 CFLAGS += -Wall -Wextra -Wformat-security -Wconversion -DVERSION=\"$(VERSION)\" -g -fstack-protector-all -std=gnu99
 
 DESTDIR ?=
@@ -8,16 +14,16 @@
 SYSTEMDUNITDIR ?= $(SYSCONFDIR)/systemd/system
 PANDOC := $(shell command -v pandoc 2> /dev/null)
 
-ifeq ($(VERSION),)
-VERSION := "(unknown version)"
-endif
-
 .PHONY: all clean install uninstall format test
 
 all: earlyoom earlyoom.1 earlyoom.service
 
 earlyoom: $(wildcard *.c *.h) Makefile
 	$(CC) $(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -o $@ $(wildcard *.c)
+
+.PHONY: earlyoom.profile
+earlyoom.profile:
+	$(CC) $(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -DPROFILE_FIND_LARGEST_PROCESS -o earlyoom.profile $(wildcard *.c)
 
 earlyoom.1: MANPAGE.md
 ifdef PANDOC
@@ -27,7 +33,7 @@
 endif
 
 clean:
-	rm -f earlyoom earlyoom.service earlyoom.initscript earlyoom.1 earlyoom.1.gz
+	rm -f earlyoom earlyoom.profile earlyoom.service earlyoom.initscript earlyoom.1 earlyoom.1.gz gmon.out*
 
 install: earlyoom.service install-bin install-default install-man
 	install -d $(DESTDIR)$(SYSTEMDUNITDIR)
@@ -78,7 +84,7 @@
 
 # Depends on earlyoom compilation to make sure the syntax is ok.
 format: earlyoom
-	clang-format --style=WebKit -i *.h *.c
+	clang-format --style=file -i *.h *.c
 	go fmt .
 
 test: earlyoom
