=== debian/changelog ===
earlyoom (1.8.2-1) unstable; urgency=medium

  * New upstream release
  * Remove tests for now, due to missing go modules
  * Bump Standards-Version to 4.7.0

 -- Yangfl <mmyangfl@gmail.com>  Fri, 07 Jun 2024 23:01:10 +0800
