=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- golang-any,
  pandoc,
  pkgconf,
  systemd-dev,
+# golang-any,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/rfjakob/earlyoom
 Vcs-Git: https://salsa.debian.org/yangfl-guest/earlyoom.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/earlyoom
@@ -21,7 +21,7 @@
 Pre-Depends:
  ${misc:Pre-Depends},
 Depends:
- sysvinit-utils (>= 3.05-4~) | lsb-base,
+ sysvinit-utils (>= 3.05-4~),
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Early OOM Daemon
