=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%earlyoom-$1.tar.gz%" \
   https://github.com/rfjakob/earlyoom/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
