=== contrib/libproc2-test/Makefile ===
out: Makefile *.c
	gcc *.c -Wall -Wextra -g -o out -lproc2

format:
	clang-format --style=file -i *.c
