=== contrib/mmap_test/Makefile ===
mmap_test: Makefile *.c
	gcc -Wall -Wextra -g -o mmap_test mmap_test.c

.PHONY: format
format:
	clang-format --style=file -i *.c
