=== contrib/oomstat/Makefile ===
.PHONY: oomstat
oomstat:
	go build
