=== debian/changelog ===
earlyoom (1.9.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.2

 -- Yangfl <mmyangfl@gmail.com>  Fri, 19 Sep 2025 09:27:18 +0800
