=== debian/watch ===
Version: 5
Template: Github
Owner: rfjakob
Project: earlyoom
